#----------------------------------------------------------------------------#
# File        :   Plugins/rp_keyframeanimation.rb
# Description :   Animate objects alongside scene properties like camera location, layer visibility, and section planes.
#                 Objects can be interpolated between scenes (keyframes) by translation, rotation, scale, reflection, and inversion.
#                 Export the animation to a video, animated GIF, or image sequence.
#                 Create Tweens (in-between scenes with the object animation baked in) to export RENDERED videos using 3rd party apps.
# Menu Item   :   Extensions (Plugins) -> Keyframe Animation
# Email       :   regular.polygon@gmail.com
# Website     :   http://regular-polygon.com
# Date        :   3/28/2023
#----------------------------------------------------------------------------#


require 'extensions.rb'


extension = SketchupExtension.new('关键帧动画', 'rp_keyframeanimation/load_all')
extension.description = "在每个场景中保存的关键帧位置之间为对象设置动画。" +
	"  对象可以通过平移、旋转、缩放、反射和反转进行插值。" +
	"  将动画导出为视频、GIF 动画或图像序列。" +
	"  创建补间帧，使用第三方应用程序导出对象动画的渲染视频。"
extension.version = '2.5.0'
extension.creator = 'Regular Polygon'
extension.copyright = "Copywrite 2010-#{ Time.now.year }, Regular Polygon"
Sketchup.register_extension(extension, true)